=== debian/changelog ===
pysignalr (1.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 17:31:04 +0100

pysignalr (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1107853)

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 22:59:45 +0100
