=== debian/control ===
Source: pysignalr
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-docker <!nocheck>,
 python3-orjson <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-websockets <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/baking-bad/pysignalr
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysignalr
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysignalr.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pysignalr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Async-ready client for SignalR protocol
 This library provides a modern and reliable client for the SignalR protocol,
 enabling asynchronous communication with SignalR servers. It supports real-
 time functionalities, allowing the exchange of messages in a dynamic
 environment such as a web application. Users can connect to, send, and receive
 messages from a SignalR server, facilitating interactions that demand up-to-
 date and instant data transmission. The client is built on an asyncio
 framework, allowing for efficient handling of concurrent operations. Useful
 for applications needing real-time data updates, this library is particularly
 relevant in contexts like web-based dashboards or collaborative tools that
 require a persistent connection to a central server.
