=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_connection and not test_connection_with_token and not test_invalid_token and not test_send_and_receive_message and not test_result_from_client"

%:
	dh $@ --buildsystem=pybuild
