=== debian/watch ===
version=4
https://github.com/baking-bad/pysignalr/tags .*/v?(\d\S+)\.tar\.gz
